#!/usr/bin/rexx

/*********************************************************************/

/* ENVIRONMENT                                                       */

/*                                                                   */

/* This script uses some of Rexx/imc's unique environmental functions*/

/* It also shows results of PARSE SOURCE and PARSE VERSION.          */

/*********************************************************************/



/* change current directory to '/', display it, and change it back   */


current_dir = getcwd()                      /* save current dir.     */

say 'The initial directory is:' current_dir /* show current dir.     */

rc = chdir('/')                             /* change directory      */

say 'The current directory is:' getcwd()    /* display current dir.  */

rc = chdir(current_dir)                     /* change directory back */

say 'The current directory is:' getcwd()    /* display current dir.  */




/* display the value of environmental variable USERNAME              */


say 'The value of environmental variable USERNAME is:' getenv('USERNAME')




/* Capture UNAME command result, display it, display owner's login   */ 


uname_result = system('uname')              /* capture UNAME results */

sayn 'Uname is:' uname_result               /* display UNAME results */ 

say 'Userid is:' userid()                   /* display user login    */




/* display PARSE SOURCE, VERSION, for Rexx/imc under Red Hat Linux   */



say 'Default command environment is:' address()



parse source system invocation filename .

say 'System:' system ' Invocation:' invocation ' Filename:' filename



parse version language level date month year .

say 'Lang:' language ' Level:' level ' Date:' date month year



exit 0
