/***************************************************************/
/* FILE INFO                                                   */
/*                                                             */
/* Lists information about a file and displays its contents.   */
/***************************************************************/

/* get the file name from the user, verify the file exists     */

say 'Enter file name:' ; pull filename
say

if state(filename) then do
   say 'File does not exist:' filename
   say 'Press <ENTER> to end this program' ; pull .
   return 1
end


/* retrieve and display information about the file             */

feedback = MatchName(,'FileInfo',filename,,'NFSDA')

if feedback = '' then do
   say 'File Name    :' FileInfo
   say 'File Size    :' FileInfo.0
   say 'Last Modified:' FileInfo.1
   say 'Attributes   :' FileInfo.2
   say
   end
else
   say 'Error on retrieving file info about:' filename


/* read and display all the file's lines by the LOADTEXT function */
/* IN_LINES.0 will be set to the number of lines that are read    */ 

if LoadText('in_lines.', filename) then do
   say 'The file has' in_lines.0 'lines.  Here they are:'
   call LoadText('in_lines.',,'S')
end

say
say 'Press <ENTER> to continue...' ;  pull .

exit 0