/****************************************************************/
/* PHONE DIRECTORY:                                             */
/*                                                              */
/*    Creates the phone directory and loads data into it.       */
/****************************************************************/
signal on syntax                  /* capture SQL syntax errors  */
call sql_initialize               /* load all Rexx/SQL functions*/

if SQLConnect(,,,'mysql')    <> 0 then call sqlerr 'On connect'
if SQLCommand(u1,"use test") <> 0 then call sqlerr 'On use'
            

/* drop the table if it exists, and create the table a-new      */

rc = SQLCommand(d1,"drop table phonedir") /* dont care about rc */

sqlstr = 'create table phonedir (lname char(10), phone char(8))'
if SQLCommand(c1,sqlstr) <> 0 then call sqlerr 'On create'

say "Enter last name and phone number ==> "
pull lname phone .


/* this loop collects data from user, inserts it as new rows    */

do while (lname <> 'EXIT')
    sqlstr = "insert into phonedir values('" || lname || "'",
             ",'" || phone "')"
    if SQLCommand(i1,sqlstr) <> 0 then call sqlerr 'On insert'
    say "Enter last name and phone number ==> "
    pull lname phone .
end

call sql_pgm_end                  /* disconnect, drop functions */
exit 0

/************ Script continues with subroutines *****************/

syntax: procedure                  /* capture any syntax errors */
   say 'Syntax error on line: ' sigl    /* identify syntax error*/
   return

sql_initialize: procedure         /* initialize Rexx/SQL for use*/

   if RxFuncAdd('SQLLoadFuncs','rexxsql', 'SQLLoadFuncs') <> 0 then
      say 'rxfuncadd failed, rc: ' rc

   if SQLLoadFuncs() <> 0 then 
      say 'sqlloadfuncs failed, rc: ' rc

   return

sqlerr: procedure expose sqlca.   /* handle any SQL errors      */
   parse arg msg
   say 'Program failed, message is: ' msg
   say sqlca.interrm                    /* write SQLCA messages */
   say 'SQL error is:' sqlca.sqlerrm    /* write SQLCA messages */
   call SQLDropFuncs 'UNLOAD'
   exit 99
   return 99

sql_pgm_end: procedure expose sqlca.    /* end program normally */
   
   if SQLDisconnect() <> 0 then call sqlerr 'On disconnect'

   if SQLDropFuncs('UNLOAD') <> 0 then
      say 'sqldropfuncs failed, rc: ' rc
  
   return
